FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000414CLE/P2. CLPpublic2014-04-28 12:112017-01-26 12:33
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version1.1 
Target Version1.3Fixed in Version1.3 
Summary0000414: Support of dynamic length strings and arrays
DescriptionAdd a flag or support new data types to make a string or array dynamic. Means the memory will be dynamic allocated by CLP in the required length to support longer file names, URLs or arrays without any static limitations.

This feature will significant reduce the memory usage for CLP structures.
Additional InformationFirst design are:

 - a new flag to allocate data types dynamic
 - a new chain for each dynamic allocated data block
 - this chain will be used to free all dynamic allocated data block in the close opartion of CLP
 - if the FLAG are set, the data type will be a pointer to the original type.
 - The new flag will be used for strings and arrays, but not for scalar data types
TagsNo tags attached.
Attached Files

- Relationships
related to 0000415resolvedFalk Reichbott FL5 Use dynamic allocated memory for URL/file names and arrays (amount of conversions) 

-  Notes
(0001079)
Falk Reichbott (administrator)
2017-01-26 12:33

The new makros DYNARY and DYNSTR can now be used to dynamic allocate the memory for the CLP structure. It replaced the static part in the CLP structure by a pointer to the dynamic allocated memory.

All internal values (lexem, ...) are also dynamic in length.

- Issue History
Date Modified Username Field Change
2014-04-28 12:11 Falk Reichbott New Issue
2014-04-28 12:11 Falk Reichbott Status new => assigned
2014-04-28 12:11 Falk Reichbott Assigned To => Falk Reichbott
2014-04-28 12:15 Falk Reichbott Relationship added related to 0000415
2016-12-16 08:58 Falk Reichbott Target Version 1.2 => 1.3
2016-12-16 08:58 Falk Reichbott Description Updated View Revisions
2017-01-26 12:33 Falk Reichbott Note Added: 0001079
2017-01-26 12:33 Falk Reichbott Status assigned => resolved
2017-01-26 12:33 Falk Reichbott Fixed in Version => 1.3
2017-01-26 12:33 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker